Skip to main content
GET
/
api
/
v1
/
post-csv-import
/
{importId}
/
status
Get post CSV import processing status
curl --request GET \
  --url https://api.bundle.social/api/v1/post-csv-import/{importId}/status \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "status": "PENDING",
  "totalRows": 123,
  "processedRows": 123,
  "successRows": 123,
  "failedRows": 123,
  "updatedAt": "2023-11-07T05:31:56Z",
  "error": "<string>",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

importId
string
required

Response

200

id
string
required
status
enum<string>
required
Available options:
PENDING,
PROCESSING,
COMPLETED,
COMPLETED_WITH_ERRORS,
FAILED,
RATE_LIMITED
totalRows
number
required
processedRows
number
required
successRows
number
required
failedRows
number
required
updatedAt
string<date-time> | null
required
error
string | null
startedAt
string<date-time> | null
completedAt
string<date-time> | null